Subject: Re: [PATCH net-next v2 1/5] net: xilinx: axienet: Always disable promiscuous mode

From: Sean Anderson <[email-masked]>
Date: Tue, 20 Aug 2024 10:24:11 -0400

On 8/19/24 21:30, Jakub Kicinski wrote:
> On Thu, 15 Aug 2024 15:36:10 -0400 Sean Anderson wrote:
>> If promiscuous mode is disabled when there are fewer than four multicast
>> addresses, then it will to be reflected in the hardware. Fix this by
> 
> it will *not* be reflected?
> Something is off with this commit messages, or at least I can't parse
> 
>> always clearing the promiscuous mode flag even when we program multicast
>> addresses.
>> 
>> Fixes: 8a3b7a252dca ("drivers/net/ethernet/xilinx: added Xilinx AXI Ethernet driver")
> 
> I think we should ship it as a fix to net?

Yes, probably. I put these patches first so they could be easily cherry-picked.

--Sean